# ZMQContext::getOpt

(PECL zmq >= 1.0.4)

ZMQContext::getOpt — Récupère une option de contexte

### Description

public ZMQContext::getOpt(string `$key`): mixed

Retourne la valeur d'une option de contexte.

### Liste de paramètres

`key`

  Un entier représentant l'option. Voir les constantes `ZMQ::CTXOPT_*`.

### Valeurs de retour

Retourne soit une chaîne de caractères ou un entier suivant le paramètre `key`. Lance une exception ZMQContextException si une erreur survient.